import { applyPolyfills, defineCustomElements } from "@claromentis/design-system/dist/loader";

require('../../node_modules/@claromentis/design-system/dist/esm/polyfills/core-js.js');

applyPolyfills().then(function () {
    defineCustomElements(window, {
        resourcesUrl: "/assets/ionicons/svg"
    });
});

var domReady = require('./lib/requirejs/domReady.js');
var jQuery = require('jquery');

domReady(function () {
    jQuery('.cla-hide-component').removeClass('cla-hide-component');
    require('../../node_modules/@claromentis/design-system/dist/collection/assets/svgs/svgxuse.js');
});

